<?php

namespace App\Controllers\Admin\Equipment;

use App\Helpers\Equipment\IPHelper;
use App\Services\Equipment\IPService;

use App\Services\Equipment\LineService;
use CodeIgniter\HTTP\RequestInterface;

use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class IPController extends EquipmentController
{
    private ?LineService $_lineService = null;
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): IPService
    {
        if (!$this->_service) {
            $this->_service = new IPService();
        }
        return $this->_service;
    }
    public function getHelper(): IPHelper
    {
        if (!$this->_helper) {
            $this->_helper = new IPHelper();
        }
        return $this->_helper;
    }
    final public function getLineService(): LineService
    {
        if (!$this->_lineService) {
            $this->_lineService = new LineService();
        }
        return $this->_lineService;
    }
    //Index,FieldForm관련
}
